import { NgModule, EventEmitter, Directive, Input, Output, ContentChildren, ContentChild, TemplateRef } from '@angular/core';
import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';
var Header = (function () {
    function Header() {
    }
    Header.decorators = [
        { type: Component, args: [{
                    selector: 'p-header',
                    template: '<ng-content></ng-content>'
                },] },
    ];
    /** @nocollapse */
    Header.ctorParameters = function () { return []; };
    return Header;
}());
export { Header };
var Footer = (function () {
    function Footer() {
    }
    Footer.decorators = [
        { type: Component, args: [{
                    selector: 'p-footer',
                    template: '<ng-content></ng-content>'
                },] },
    ];
    /** @nocollapse */
    Footer.ctorParameters = function () { return []; };
    return Footer;
}());
export { Footer };
var PrimeTemplate = (function () {
    function PrimeTemplate(template) {
        this.template = template;
    }
    PrimeTemplate.prototype.getType = function () {
        return this.name;
    };
    PrimeTemplate.decorators = [
        { type: Directive, args: [{
                    selector: '[pTemplate]',
                    host: {}
                },] },
    ];
    /** @nocollapse */
    PrimeTemplate.ctorParameters = function () { return [
        { type: TemplateRef, },
    ]; };
    PrimeTemplate.propDecorators = {
        'type': [{ type: Input },],
        'name': [{ type: Input, args: ['pTemplate',] },],
    };
    return PrimeTemplate;
}());
export { PrimeTemplate };
/* Deprecated */
var Column = (function () {
    function Column() {
        this.filterType = 'text';
        this.exportable = true;
        this.resizable = true;
        this.sortFunction = new EventEmitter();
    }
    Column.prototype.ngAfterContentInit = function () {
        var _this = this;
        this.templates.forEach(function (item) {
            switch (item.getType()) {
                case 'header':
                    _this.headerTemplate = item.template;
                    break;
                case 'body':
                    _this.bodyTemplate = item.template;
                    break;
                case 'footer':
                    _this.footerTemplate = item.template;
                    break;
                case 'filter':
                    _this.filterTemplate = item.template;
                    break;
                case 'editor':
                    _this.editorTemplate = item.template;
                    break;
                default:
                    _this.bodyTemplate = item.template;
                    break;
            }
        });
    };
    Column.decorators = [
        { type: Component, args: [{
                    selector: 'p-column',
                    template: ''
                },] },
    ];
    /** @nocollapse */
    Column.ctorParameters = function () { return []; };
    Column.propDecorators = {
        'field': [{ type: Input },],
        'colId': [{ type: Input },],
        'sortField': [{ type: Input },],
        'filterField': [{ type: Input },],
        'header': [{ type: Input },],
        'footer': [{ type: Input },],
        'sortable': [{ type: Input },],
        'editable': [{ type: Input },],
        'filter': [{ type: Input },],
        'filterMatchMode': [{ type: Input },],
        'filterType': [{ type: Input },],
        'excludeGlobalFilter': [{ type: Input },],
        'rowspan': [{ type: Input },],
        'colspan': [{ type: Input },],
        'scope': [{ type: Input },],
        'style': [{ type: Input },],
        'styleClass': [{ type: Input },],
        'exportable': [{ type: Input },],
        'headerStyle': [{ type: Input },],
        'headerStyleClass': [{ type: Input },],
        'bodyStyle': [{ type: Input },],
        'bodyStyleClass': [{ type: Input },],
        'footerStyle': [{ type: Input },],
        'footerStyleClass': [{ type: Input },],
        'hidden': [{ type: Input },],
        'expander': [{ type: Input },],
        'selectionMode': [{ type: Input },],
        'filterPlaceholder': [{ type: Input },],
        'filterMaxlength': [{ type: Input },],
        'frozen': [{ type: Input },],
        'resizable': [{ type: Input },],
        'sortFunction': [{ type: Output },],
        'templates': [{ type: ContentChildren, args: [PrimeTemplate,] },],
        'template': [{ type: ContentChild, args: [TemplateRef,] },],
    };
    return Column;
}());
export { Column };
/* Deprecated */
var Row = (function () {
    function Row() {
    }
    Row.decorators = [
        { type: Component, args: [{
                    selector: 'p-row',
                    template: ""
                },] },
    ];
    /** @nocollapse */
    Row.ctorParameters = function () { return []; };
    Row.propDecorators = {
        'columns': [{ type: ContentChildren, args: [Column,] },],
    };
    return Row;
}());
export { Row };
/* Deprecated */
var HeaderColumnGroup = (function () {
    function HeaderColumnGroup() {
    }
    HeaderColumnGroup.decorators = [
        { type: Component, args: [{
                    selector: 'p-headerColumnGroup',
                    template: ""
                },] },
    ];
    /** @nocollapse */
    HeaderColumnGroup.ctorParameters = function () { return []; };
    HeaderColumnGroup.propDecorators = {
        'frozen': [{ type: Input },],
        'rows': [{ type: ContentChildren, args: [Row,] },],
    };
    return HeaderColumnGroup;
}());
export { HeaderColumnGroup };
/* Deprecated */
var FooterColumnGroup = (function () {
    function FooterColumnGroup() {
    }
    FooterColumnGroup.decorators = [
        { type: Component, args: [{
                    selector: 'p-footerColumnGroup',
                    template: ""
                },] },
    ];
    /** @nocollapse */
    FooterColumnGroup.ctorParameters = function () { return []; };
    FooterColumnGroup.propDecorators = {
        'frozen': [{ type: Input },],
        'rows': [{ type: ContentChildren, args: [Row,] },],
    };
    return FooterColumnGroup;
}());
export { FooterColumnGroup };
var SharedModule = (function () {
    function SharedModule() {
    }
    SharedModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule],
                    exports: [Header, Footer, Column, PrimeTemplate, Row, HeaderColumnGroup, FooterColumnGroup],
                    declarations: [Header, Footer, Column, PrimeTemplate, Row, HeaderColumnGroup, FooterColumnGroup]
                },] },
    ];
    /** @nocollapse */
    SharedModule.ctorParameters = function () { return []; };
    return SharedModule;
}());
export { SharedModule };
//# sourceMappingURL=shared.js.map