import { NgModule, Directive, ElementRef, HostListener, Optional } from '@angular/core';
import { NgModel } from '@angular/forms';
import { CommonModule } from '@angular/common';
var InputText = (function () {
    function InputText(el, ngModel) {
        this.el = el;
        this.ngModel = ngModel;
    }
    InputText.prototype.ngDoCheck = function () {
        this.updateFilledState();
    };
    //To trigger change detection to manage ui-state-filled for material labels when there is no value binding
    InputText.prototype.onInput = function (e) {
        this.updateFilledState();
    };
    InputText.prototype.updateFilledState = function () {
        this.filled = (this.el.nativeElement.value && this.el.nativeElement.value.length) ||
            (this.ngModel && this.ngModel.model);
    };
    InputText.decorators = [
        { type: Directive, args: [{
                    selector: '[pInputText]',
                    host: {
                        '[class.ui-inputtext]': 'true',
                        '[class.ui-corner-all]': 'true',
                        '[class.ui-state-default]': 'true',
                        '[class.ui-widget]': 'true',
                        '[class.ui-state-filled]': 'filled'
                    }
                },] },
    ];
    /** @nocollapse */
    InputText.ctorParameters = function () { return [
        { type: ElementRef, },
        { type: NgModel, decorators: [{ type: Optional },] },
    ]; };
    InputText.propDecorators = {
        'onInput': [{ type: HostListener, args: ['input', ['$event'],] },],
    };
    return InputText;
}());
export { InputText };
var InputTextModule = (function () {
    function InputTextModule() {
    }
    InputTextModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule],
                    exports: [InputText],
                    declarations: [InputText]
                },] },
    ];
    /** @nocollapse */
    InputTextModule.ctorParameters = function () { return []; };
    return InputTextModule;
}());
export { InputTextModule };
//# sourceMappingURL=inputtext.js.map