import { NgModule, Component, Input } from '@angular/core';
import { CommonModule } from '@angular/common';
var ProgressSpinner = (function () {
    function ProgressSpinner() {
        this.strokeWidth = "2";
        this.fill = "none";
        this.animationDuration = "2s";
    }
    ProgressSpinner.decorators = [
        { type: Component, args: [{
                    selector: 'p-progressSpinner',
                    template: "\n        <div class=\"ui-progress-spinner\" [ngStyle]=\"style\" [ngClass]=\"styleClass\">\n            <svg class=\"ui-progress-spinner-svg\" viewBox=\"25 25 50 50\" [style.animation-duration]=\"animationDuration\">\n                <circle class=\"ui-progress-spinner-circle\" cx=\"50\" cy=\"50\" r=\"20\" [attr.fill]=\"fill\" [attr.stroke-width]=\"strokeWidth\" stroke-miterlimit=\"10\"/>\n            </svg>\n        </div>\n    "
                },] },
    ];
    /** @nocollapse */
    ProgressSpinner.ctorParameters = function () { return []; };
    ProgressSpinner.propDecorators = {
        'style': [{ type: Input },],
        'styleClass': [{ type: Input },],
        'strokeWidth': [{ type: Input },],
        'fill': [{ type: Input },],
        'animationDuration': [{ type: Input },],
    };
    return ProgressSpinner;
}());
export { ProgressSpinner };
var ProgressSpinnerModule = (function () {
    function ProgressSpinnerModule() {
    }
    ProgressSpinnerModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule],
                    exports: [ProgressSpinner],
                    declarations: [ProgressSpinner]
                },] },
    ];
    /** @nocollapse */
    ProgressSpinnerModule.ctorParameters = function () { return []; };
    return ProgressSpinnerModule;
}());
export { ProgressSpinnerModule };
//# sourceMappingURL=progressspinner.js.map