import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
var TerminalService = (function () {
    function TerminalService() {
        this.commandSource = new Subject();
        this.responseSource = new Subject();
        this.commandHandler = this.commandSource.asObservable();
        this.responseHandler = this.responseSource.asObservable();
    }
    TerminalService.prototype.sendCommand = function (command) {
        if (command) {
            this.commandSource.next(command);
        }
    };
    TerminalService.prototype.sendResponse = function (response) {
        if (response) {
            this.responseSource.next(response);
        }
    };
    TerminalService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    TerminalService.ctorParameters = function () { return []; };
    return TerminalService;
}());
export { TerminalService };
//# sourceMappingURL=terminalservice.js.map